{
    attributes = (
        {
            allowsNull = Y; 
            columnName = COMMENTAIRE; 
            externalType = VARCHAR2; 
            name = commentaire; 
            valueClassName = NSString; 
            valueType = S; 
            width = 2000; 
        }, 
        {
            allowsNull = Y; 
            columnName = "NO_SEQ_ARR_ANNUL"; 
            externalType = NUMBER; 
            name = congeAnnulOrdre; 
            precision = 10; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "NO_SEQ_ARRETE"; 
            externalType = NUMBER; 
            name = congeOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_ANNULATION"; 
            externalType = DATE; 
            name = dAnnulation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_ARRETE_CG_PATERN"; 
            externalType = DATE; 
            name = dateArrete; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_DEB_CG_PATERN"; 
            externalType = DATE; 
            name = dateDebut; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_FIN_CG_PATERN"; 
            externalType = DATE; 
            name = dateFin; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_DEMANDE"; 
            externalType = DATE; 
            name = dDemande; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_NAIS_PREV"; 
            externalType = DATE; 
            name = dNaisPrev; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "NB_ENFANTS_DECL"; 
            externalType = NUMBER; 
            name = nbEnfantsDecl; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "NO_ARRETE_CG_PATERN"; 
            externalType = VARCHAR2; 
            name = noArrete; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            allowsNull = Y; 
            columnName = "NO_ARRETE_ANNULATION"; 
            externalType = VARCHAR2; 
            name = noArreteAnnulation; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            allowsNull = Y; 
            columnName = "NO_DOSSIER_PERS"; 
            externalType = NUMBER; 
            name = noDossierPers; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "TEM_CG_SANS_TRAIT"; 
            externalType = VARCHAR2; 
            name = temCgSansTrait; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "TEM_CONFIRME"; 
            externalType = VARCHAR2; 
            name = temConfirme; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "TEM_GEST_ETAB"; 
            externalType = VARCHAR2; 
            name = temGestEtab; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TEM_GROSSESSE_MULTIPLE"; 
            externalType = VARCHAR2; 
            name = temGrossesseMultiple; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "TEM_VALIDE"; 
            externalType = VARCHAR2; 
            name = temValide; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }
    ); 
    attributesUsedForLocking = (
        commentaire, 
        congeAnnulOrdre, 
        congeOrdre, 
        nbEnfantsDecl, 
        noArrete, 
        noArreteAnnulation, 
        noDossierPers, 
        temCgSansTrait, 
        temConfirme, 
        temGestEtab, 
        temGrossesseMultiple, 
        temValide
    ); 
    className = "org.cocktail.connecteur.serveur.modele.entite_destination.conges.EOMangueCongePaternite"; 
    classProperties = (
        commentaire, 
        dAnnulation, 
        dateArrete, 
        dateDebut, 
        dateFin, 
        dCreation, 
        dDemande, 
        dModification, 
        dNaisPrev, 
        individu, 
        nbEnfantsDecl, 
        noArrete, 
        noArreteAnnulation, 
        temCgSansTrait, 
        temConfirme, 
        temGestEtab, 
        temGrossesseMultiple, 
        temValide, 
        toCongeAnnulation
    ); 
    externalName = "MANGUE.CONGE_PATERNITE"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            commentaire, 
            dAnnulation, 
            dateArrete, 
            dateDebut, 
            dateFin, 
            dDemande, 
            dNaisPrev, 
            nbEnfantsDecl, 
            noArrete, 
            noArreteAnnulation, 
            temCgSansTrait, 
            temConfirme, 
            temGestEtab, 
            temGrossesseMultiple, 
            temValide
        ); 
    }; 
    name = MangueCongePaternite; 
    primaryKeyAttributes = (congeOrdre); 
    relationships = (
        {
            destination = GrhumIndividu; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = noIndividu; sourceAttribute = noDossierPers; }); 
            name = individu; 
        }, 
        {
            destination = MangueCongePaternite; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = congeOrdre; sourceAttribute = congeAnnulOrdre; }); 
            name = toCongeAnnulation; 
        }
    ); 
    userInfo = {"_EntityModeler" = {parentClassName = MangueCongeAvecArreteAnnulation; }; }; 
}
